Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDivision.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDivision.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDivision.cs	(revision 484)
@@ -55,6 +55,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 名称マスタ検索SQL作成
         /// <summary>
         /// 名称マスタ検索
@@ -65,19 +103,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM DivisionMaster", CreateFieldNameList());
 
-            strcmd.Append("SELECT");
-            strcmd.Append(" DivisionCode");
-            strcmd.Append(",NameCode");
-            strcmd.Append(",DisplayOrder");
-            strcmd.Append(",NameString");
-            strcmd.Append(",DeleteFlg");
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM DivisionMaster");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -194,7 +230,7 @@
                     strcmd.AppendFormat("  {0}", work.DivisionCode.ToString());
                     strcmd.AppendFormat(", {0}", work.NameCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.NameString.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.NameString));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -236,7 +272,7 @@
                 strcmd.AppendFormat(" DivisionCode = {0}", data.DivisionCode.ToString());
                 strcmd.AppendFormat(",NameCode = {0}", data.NameCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",NameString = '{0}'", data.NameString.ToString());
+                strcmd.AppendFormat(",NameString = {0}", SeparateString(data.NameString));
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -346,7 +382,7 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)NameColumn.NameString:
-                        strcmd.AppendFormat(" NameString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" NameString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.DeleteFlg:
                         strcmd.AppendFormat(" DeleteFlg = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMHolidayCalender.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMHolidayCalender.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMHolidayCalender.cs	(revision 484)
@@ -53,6 +53,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("Holiday"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SELECT　SQL作成
         /// <summary>
         /// SQL作成
@@ -60,14 +102,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append(" DATE_FORMAT(Holiday, '%Y/%m/%d')");
-            strcmd.Append(",BusinessYear");
-            strcmd.Append(",TargetMonth");
-            strcmd.Append(",TargetDay");
-            strcmd.Append(" FROM HolidayCalenderMaster");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM HolidayCalenderMaster", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMMailContentsMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMMailContentsMaster.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMMailContentsMaster.cs	(revision 484)
@@ -197,8 +197,8 @@
                 strcmd.Append(") VALUES (");
 
                 strcmd.AppendFormat("  {0}", data.MailDelivery.ToString());
-                strcmd.AppendFormat(", '{0}'", data.MailTitle);
-                strcmd.AppendFormat(", '{0}'", data.MailContent);
+                strcmd.AppendFormat(", {0}", SeparateString(data.MailTitle));
+                strcmd.AppendFormat(", {0}", SeparateString(data.MailContent));
                 strcmd.Append(", NOW()");                           // 登録日付
                 strcmd.Append(", NOW()");                           // 更新日付
                 strcmd.Append(")");
@@ -244,8 +244,8 @@
                     else strcmd.Append(", (");
 
                     strcmd.AppendFormat("  {0}", work.MailDelivery.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.MailTitle);
-                    strcmd.AppendFormat(", '{0}'", work.MailContent);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MailTitle));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MailContent));
                     strcmd.Append(", NOW()");                           // 登録日付
                     strcmd.Append(", NOW()");                           // 更新日付
 
@@ -284,8 +284,8 @@
                 strcmd.Append(" SET");
 
                 strcmd.AppendFormat(" MailDelivery = {0}", data.MailDelivery.ToString());
-                strcmd.AppendFormat(", MailTitle = '{0}'", data.MailTitle);
-                strcmd.AppendFormat(", MailContent = '{0}'", data.MailContent);
+                strcmd.AppendFormat(", MailTitle = {0}", SeparateString(data.MailTitle));
+                strcmd.AppendFormat(", MailContent = {0}", SeparateString(data.MailContent));
                 strcmd.Append("      , UpdateDate = NOW()");
 
                 strcmd.Append(AddSQLString);
@@ -321,10 +321,10 @@
                         strcmd.AppendFormat(" MailDelivery = {0}", ((int)value).ToString());
                         break;
                     case (int)NameColumn.MailTitle:
-                        strcmd.AppendFormat(" MailTitle = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" MailTitle = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.MailContent:
-                        strcmd.AppendFormat(" MailContent = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" MailContent = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs	(revision 484)
@@ -50,6 +50,7 @@
             Address3,
             PhoneNumber,
             FaxNumber,
+            JapaneseSyllabary,
             MailAddress,
             Note,
             PersonCode,
@@ -71,6 +72,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(OrderersColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 発注者マスタ検索SQL作成
         /// <summary>
         /// 発注者マスタ検索SQL作成
@@ -81,26 +120,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(OrderersColumn)))
+            try
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                strcmd.AppendFormat("SELECT {0} FROM OrderersMaster", CreateFieldNameList());
+
+                return strcmd.ToString();
             }
-            strcmd.Append(" FROM OrderersMaster");
-
-            return strcmd.ToString();
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -212,20 +242,21 @@
                     strcmd.AppendFormat(", {0}", work.OrderersCode);
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
                     strcmd.AppendFormat(", {0}", work.OrderFlg);
-                    strcmd.AppendFormat(",'{0}'", work.CorporateStatusName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CorporateStatusName));
                     strcmd.AppendFormat(", {0}", work.CorporateStatusPoint);
-                    strcmd.AppendFormat(",'{0}'", work.OrderersName1);
-                    strcmd.AppendFormat(",'{0}'", work.OrderersName2);
-                    strcmd.AppendFormat(",'{0}'", work.DepartmentName);
-                    strcmd.AppendFormat(",'{0}'", work.ChargePersonName);
-                    strcmd.AppendFormat(",'{0}'", work.ZipCode);
-                    strcmd.AppendFormat(",'{0}'", work.Address1);
-                    strcmd.AppendFormat(",'{0}'", work.Address2);
-                    strcmd.AppendFormat(",'{0}'", work.Address3);
-                    strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
-                    strcmd.AppendFormat(",'{0}'", work.FaxNumber);
-                    strcmd.AppendFormat(",'{0}'", work.MailAddress);
-                    strcmd.AppendFormat(",'{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.OrderersName1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.OrderersName2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.DepartmentName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ChargePersonName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FaxNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.JapaneseSyllabary));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MailAddress));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0}", work.PersonCode);
                     strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
@@ -277,20 +308,21 @@
                 strcmd.AppendFormat(", {0}", work.OrderersCode);
                 strcmd.AppendFormat(", {0}", work.DisplayOrder);
                 strcmd.AppendFormat(", {0}", work.OrderFlg);
-                strcmd.AppendFormat(",'{0}'", work.CorporateStatusName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.CorporateStatusName));
                 strcmd.AppendFormat(", {0}", work.CorporateStatusPoint);
-                strcmd.AppendFormat(",'{0}'", work.OrderersName1);
-                strcmd.AppendFormat(",'{0}'", work.OrderersName2);
-                strcmd.AppendFormat(",'{0}'", work.DepartmentName);
-                strcmd.AppendFormat(",'{0}'", work.ChargePersonName);
-                strcmd.AppendFormat(",'{0}'", work.ZipCode);
-                strcmd.AppendFormat(",'{0}'", work.Address1);
-                strcmd.AppendFormat(",'{0}'", work.Address2);
-                strcmd.AppendFormat(",'{0}'", work.Address3);
-                strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
-                strcmd.AppendFormat(",'{0}'", work.FaxNumber);
-                strcmd.AppendFormat(",'{0}'", work.MailAddress);
-                strcmd.AppendFormat(",'{0}'", work.Note);
+                strcmd.AppendFormat(", {0}", SeparateString(work.OrderersName1));
+                strcmd.AppendFormat(", {0}", SeparateString(work.OrderersName2));
+                strcmd.AppendFormat(", {0}", SeparateString(work.DepartmentName));
+                strcmd.AppendFormat(", {0}", SeparateString(work.ChargePersonName));
+                strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(work.FaxNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(work.JapaneseSyllabary));
+                strcmd.AppendFormat(", {0}", SeparateString(work.MailAddress));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                 strcmd.AppendFormat(", {0}", work.PersonCode);
                 strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
@@ -331,20 +363,21 @@
                 strcmd.AppendFormat(", OrderersCode = {0}", data.OrderersCode);
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder);
                 strcmd.AppendFormat(", OrderFlg = {0}", data.OrderFlg);
-                strcmd.AppendFormat(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", CorporateStatusName = {0}", SeparateString(data.CorporateStatusName));
                 strcmd.AppendFormat(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
-                strcmd.AppendFormat(", OrderersName1 = '{0}'", data.OrderersName1);
-                strcmd.AppendFormat(", OrderersName2 = '{0}'", data.OrderersName2);
-                strcmd.AppendFormat(", DepartmentName = '{0}'", data.DepartmentName);
-                strcmd.AppendFormat(", ChargePersonName = '{0}'", data.ChargePersonName);
-                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
-                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
-                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
-                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
-                strcmd.AppendFormat(", MailAddress = '{0}'", data.MailAddress);
+                strcmd.AppendFormat(", OrderersName1 =  {0}", SeparateString(data.OrderersName1));
+                strcmd.AppendFormat(", OrderersName2 =  {0}", SeparateString(data.OrderersName2));
+                strcmd.AppendFormat(", DepartmentName =  {0}", SeparateString(data.DepartmentName));
+                strcmd.AppendFormat(", ChargePersonName =  {0}", SeparateString(data.ChargePersonName));
+                strcmd.AppendFormat(", ZipCode =  {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", Address1 =  {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", Address2 =  {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", Address3 =  {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", PhoneNumber =  {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", FaxNumber =  {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", JapaneseSyllabary =  {0}", SeparateString(data.JapaneseSyllabary));
+                strcmd.AppendFormat(", Note =  {0}", SeparateString(data.Note));
+                strcmd.AppendFormat(", MailAddress =  {0}", SeparateString(data.MailAddress));
                 strcmd.AppendFormat(", PersonCode = {0}", data.PersonCode);
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
 
@@ -418,6 +451,7 @@
                 wrk.Address3 = objwrk[(int)OrderersColumn.Address3].ToString();
                 wrk.PhoneNumber = objwrk[(int)OrderersColumn.PhoneNumber].ToString();
                 wrk.FaxNumber = objwrk[(int)OrderersColumn.FaxNumber].ToString();
+                wrk.JapaneseSyllabary = objwrk[(int)OrderersColumn.JapaneseSyllabary].ToString();
                 wrk.MailAddress = objwrk[(int)OrderersColumn.MailAddress].ToString();
                 wrk.Note = objwrk[(int)OrderersColumn.Note].ToString();
                 wrk.PersonCode = int.Parse(objwrk[(int)OrderersColumn.PersonCode].ToString());
